> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Withdrawal

> Create a withdrawal request for the authenticated user. Requires an existing account.



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json post /user/withdrawal
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /user/withdrawal:
    post:
      tags:
        - User
      summary: Create Withdrawal
      description: >-
        Create a withdrawal request for the authenticated user. Requires an
        existing account.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWithdrawalBody'
      responses:
        '201':
          description: Withdrawal created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateWithdrawalSuccess'
        '400':
          description: Bad request - invalid token address or amount format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationOrError'
        '401':
          description: Unauthorized - Invalid JWT
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: User or account not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway - failed to create withdrawal in Core API
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    CreateWithdrawalBody:
      type: object
      properties:
        tokenAddress:
          type: string
        amount:
          type: string
          pattern: ^\d+$
      required:
        - tokenAddress
        - amount
    CreateWithdrawalSuccess:
      type: object
      properties:
        withdrawalId:
          type: string
          format: uuid
      required:
        - withdrawalId
    ValidationOrError:
      anyOf:
        - $ref: '#/components/schemas/ValidationError'
        - $ref: '#/components/schemas/Error'
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error
    ValidationError:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: object
          properties:
            name:
              type: string
              enum:
                - ValidationError
            message:
              type: string
          required:
            - name
            - message
      required:
        - success
        - error

````